/* Global Styles */
body {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    line-height: 1.2;
    font-family: "Funnel Display", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
    color: #120321;
}

button {
    font-family: "Funnel Display", sans-serif;
}

p {
    margin: 0;
}

.main-paragraph {
    font-size: calc(16px + (24.0 - 16) * ((100vw - 1001px) / (2200 - 1001)));
    line-height: 1.5;
    margin: 0;
}

h1 {
    font-size: calc(40px + (60.0 - 40) * ((100vw - 1001px) / (2200 - 1001)));

    margin-top: 0;
}

.top-heading {
    font-size: calc(46px + (76.0 - 46) * ((100vw - 1001px) / (2200 - 1001)));

    margin-top: 0;
}

.header-element p,
.secondary-paragraph a,
a p,
button p,
.footer-bottom p {
    font-size: calc(14px + (20.0 - 14) * ((100vw - 1001px) / (2200 - 1001)));
}

.secondary-paragraph-top {
    font-size: calc(12px + (16.0 - 12) * ((100vw - 1001px) / (2200 - 1001)));
}

h2 {

    font-size: calc(24px + (44.0 - 24) * ((100vw - 1001px) / (2200 - 1001)));
    font-weight: 700;
}

h3 {

    font-size: calc(20px + (28.0 - 18) * ((100vw - 1001px) / (2200 - 1001)));
    font-weight: 700;
}

h4 {

    font-size: calc(18px + (24.0 - 18) * ((100vw - 1001px) / (2200 - 1001)));
    font-weight: 700;
}

h1,
h2 {
    font-weight: 600;
}

h3,
h4 {
    font-weight: 500;
}


strong {
    font-weight: 700;
}

b {
    font-weight: 800;
}



a {
    text-decoration: none;
    display: inline-block;

}

.color-text {
    color: #120321;

}

.color-text:hover {

    color: #120321;
}

.white-purple-arrow {
    fill: white;
    color: white;


}


.button {
    background-color: #4B006E;
    border-radius: 30px;


    padding: 5px;
    display: flex;

    align-items: center;
    justify-content: space-between;
    color: white;
    border: 1px solid #4B006E;
    box-shadow: 0 2px 5px rgba(128, 128, 128, 0.2),
        /* Bottom shadow */
        0 -2px 5px rgba(128, 128, 128, 0.2),
        /* Top shadow */
        2px 0 5px rgba(128, 128, 128, 0.2),
        /* Right shadow */
        -2px 0 5px rgba(128, 128, 128, 0.2);

}

/* header css desktop end */
/* header css desktop end */

.hamburger-cross-button {
    background-color: #4B006E;
    border-radius: 30px;


    padding: 3px;
    display: none;

    align-items: center;
    justify-content: space-between;
    color: white;
    border: 1px solid #4B006E;
    box-shadow: 0 2px 5px rgba(128, 128, 128, 0.2),
        /* Bottom shadow */
        0 -2px 5px rgba(128, 128, 128, 0.2),
        /* Top shadow */
        2px 0 5px rgba(128, 128, 128, 0.2),
        /* Right shadow */
        -2px 0 5px rgba(128, 128, 128, 0.2);

}

.hamburger-parent, .hamburger-cross-parent  {
    display: none;
}

.hamburger-button {
    background-color: white;
    border-radius: 30px;



    padding: 12px;
    display: flex;

    align-items: center;
    justify-content: space-between;
    color: white;

    box-shadow: 0 2px 5px rgba(128, 128, 128, 0.2),
        /* Bottom shadow */
        0 -2px 5px rgba(128, 128, 128, 0.2),
        /* Top shadow */
        2px 0 5px rgba(128, 128, 128, 0.2),
        /* Right shadow */
        -2px 0 5px rgba(128, 128, 128, 0.2);
}


.button p {

    padding-left: 15px;
    padding-right: 15px;

}

.button img,
button .white-purple-arrow {
    width: 20px;
    padding: 10px;
    padding-left: 7px;
    padding-right: 7px;
    border-radius: 50%;
    background-color: #ffffff3d;
}

.white-purple-arrow {
    padding: 8px !important;
    border-radius: 40px;
    padding-left: 7px !important;
    padding-right: 7px !important;
}


.button:hover {
    background-color: #F6E2FF;
    border: 1px solid white;
    color: #4B006E;
    transition: ease-in-out .3s;

}

.button:hover img {
    transition: ease-in-out .3s;

    background-color: #4B006E;
}

/* Header */
.header {
    position: sticky;
    top: 0;
    z-index: 10;

}

.header-top-banner {
    height: 20px;
    background-color: #F6E2FF;
}

.header-top-banner::before {
    content: "";
    display: block;
    height: 100vh;
    width: 20px;
    background: linear-gradient(to bottom, #F6E2FF, #F6E2FF, rgba(255, 255, 255, 0));
}

.header-top-banner::after {
    content: "";
    margin-top: -100vh;
    float: right;
    display: block;
    height: 100vh;
    width: 20px;
    background: linear-gradient(to bottom, #F6E2FF, #F6E2FF, rgba(255, 255, 255, 0));

    z-index: 4 !important;
}

.header-element {
    margin-left: 10px;

    display: flex;
    align-items: stretch;
    justify-content: space-between;
    z-index: 5 !important;
}



.logo {
    padding-left: 10px;
    padding-top: 10px;
    padding-right: 15px;
    display: flex;
    padding-bottom: 11px;
    background-color: #F6E2FF;
    border-end-end-radius: 30px;
}

.logo::after {
    content: "";
    width: 40px;
    height: 40px;
    display: block;
    background-color: rgba(255, 0, 0, 0);
    position: absolute;
    bottom: -40px;
    left: 20px;
    border-top-left-radius: 30px;
    box-shadow: -10px -15px 0 0 #F6E2FF;
}

.logins::after {
    content: "";
    width: 40px;
    height: 40px;
    display: block;
    background-color: rgba(255, 0, 0, 0);
    position: absolute;
    bottom: -40px;
    right: 20px;
    border-top-right-radius: 30px;
    box-shadow: 10px -15px 0 0 #F6E2FF;
}

.logo svg {
    width: clamp(120px, 15vw, 220px);
    min-width: 20px;
    max-width: 200px;
    height: 100%;
}

.logo-white-dark-part {
    fill: #120321;
}

.logo-purple-part {
    fill: #4B006E;
}

.links-div {
    display: flex;

    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding: 10px;
    padding-bottom: 0;
    border-radius: 30px;
    box-shadow: -15px -25px 0 0 #F6E2FF,
        /* Shadow for the top-left */
        15px -25px 0 0 #F6E2FF;
    /* Shadow for the top-right */
}

.links {

    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: stretch;

}


.menu-items {
    width: 50%;
    display: flex;
    justify-content: space-around;
    padding: 5px;
    border-radius: 30px;
    min-width: 520px;
    background-color: #ffffffd5;
    backdrop-filter: blur(5px);
    align-items: center;
    /* justify-content: space-between; */
    box-shadow: 0 2px 5px rgba(128, 128, 128, 0.2),
        /* Bottom shadow */
        0 -2px 5px rgba(128, 128, 128, 0.2),
        /* Top shadow */
        2px 0 5px rgba(128, 128, 128, 0.2),
        /* Right shadow */
        -2px 0 5px rgba(128, 128, 128, 0.2);

    position: relative;
}


.menu-item {
    color: #120321;
}

.menu-item:hover {
    color: #B462A6;
    transition: ease-in-out .3s;

}



.hovered.menu-items {
    background: none;
    box-shadow: none;
    backdrop-filter: none;
}

.hovered .hamburger-cross-parent {
    opacity: 0;
}

.clicked {
    padding: 20px;
}

.clicked .mega-item {
    display: block;
}

.mega-menu-control {
    cursor: pointer;
    z-index: 5;
}

.mega-menus {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
}

.mega-menu {
    background-color: white;
    backdrop-filter: blur(15px);
    position: absolute;
    left: 0;
    top: 0px;
    width: auto;
    min-width: 92%;
    border-radius: 20px;
    display: grid;
    grid-template-columns: repeat(3, max-content);
    gap: 20px;
    box-shadow: 0 2px 5px rgba(128, 128, 128, 0.2),
        /* Bottom shadow */
        0 -2px 5px rgba(128, 128, 128, 0.2),
        /* Top shadow */
        2px 0 5px rgba(128, 128, 128, 0.2),
        /* Right shadow */
        -2px 0 5px rgba(128, 128, 128, 0.2)
}


.mega-item {
    border-radius: 25px;
    margin-top: 40px;
    display: none;
    width: 15vw;
    min-width: 200px;
    min-height: 12vw;
    position: relative;
}

.menu-item-services,
.menu-item-parrot,
.menu-item-kea {
    background-color: rgb(255, 255, 255);
}

.mega-item:hover {
    background: linear-gradient(180deg, #F9EBFF 23.59%, #FFF 104.87%);
}

.menu-item-parrot:hover {
    background: linear-gradient(180deg, #FFF2D0 0%, #FFF 100%);
}

.menu-item-kea:hover {
    background: linear-gradient(180deg, #DCEAFF 0%, #FFF 115.21%);
}

.menu-item-services:hover {
    background: linear-gradient(180deg, #F9EBFF 23.59%, #FFF 104.87%);
}

.control-clicked {
    color: #B462A6;
}

.mega-item:hover .white-purple-arrow {
    background-color: #F6E2FF;
    fill: #4B006E;
    background-color: #F6E2FF;
    transition: linear 0.2s;
}

.mega-item:hover .button {
    background-color: #F6E2FF;
    fill: #4B006E;
    border: none;
    transition: linear 0.1s;
}


.mega-menu-card {
    padding: 0px 20px 20px 20px;
}

.mega-menu-border-asset {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
}

.icon-title {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-top: -20px;
}

.mega-item .button-white-background {
    background-color: rgba(255, 255, 255, 0);
    position: absolute;
    right: 0;
    bottom: 0px;
}


.mega-item .white-purple-arrow {
    padding: 4px !important;
    padding-left: 3px !important;
    padding-right: 3px !important;
}







.demo-button {
    background-color: #4B006E;
    border-radius: 30px;
    padding: 5px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: white;
    border: 1px solid #4B006E;
    box-shadow: 0 2px 5px rgba(128, 128, 128, 0.2),
        /* Bottom shadow */
        0 -2px 5px rgba(128, 128, 128, 0.2),
        /* Top shadow */
        2px 0 5px rgba(128, 128, 128, 0.2),
        /* Right shadow */
        -2px 0 5px rgba(128, 128, 128, 0.2);

}

.demo-button p {

    padding-left: 10px;
    padding-right: 10px;

}

.demo-button img {
    padding: 8px;
    padding-left: 6px;
    padding-right: 6px;
    border-radius: 50%;
    background-color: #ffffff3d;
}

.demo-button:hover {
    background-color: #F6E2FF;
    border: 1px solid white;
    color: #4B006E;
    transition: ease-in-out .3s;

}

.demo-button:hover img {
    transition: ease-in-out .3s;

    background-color: #4B006E;
}

.logins {

    display: flex;
    align-items: center;
    padding-left: 13px;
    padding-right: 10px;
    padding-bottom: 10px;
    background-color: #F6E2FF;
    border-bottom-left-radius: 30px;
}

.kia-login,
.parrot-login {
    width: 4.5vw;
    min-width: 80px;
    color: #120321;
    margin-right: 20px;
    border-radius: 30px;
    padding: 5px;
    display: flex;
    align-items: center;
    justify-content: space-evenly;

    padding-left: 10px;
    padding-right: 10px;
    box-shadow: 0 2px 5px rgba(128, 128, 128, 0.2),
        /* Bottom shadow */
        0 -2px 5px rgba(128, 128, 128, 0.2),
        /* Top shadow */
        2px 0 5px rgba(128, 128, 128, 0.2),
        /* Right shadow */
        -2px 0 5px rgba(128, 128, 128, 0.2);

}



.parrot-login {
    background: linear-gradient(to bottom, #FFF2D0, #ffff);

}

.parrot-login:hover {
    background: linear-gradient(to bottom, #120321, #120321);
    transition: ease-in-out .3s;


}

.parrot-login:hover {
    color: white;
    transition: ease-in-out .3s;


}

.kia-login {
    background: linear-gradient(to bottom, #DCEAFF, #ffff);
}

.kia-login:hover {
    transition: ease-in-out .3s;

    background: linear-gradient(to bottom, #120321, #120321);

}

.kia-login:hover {
    color: white;
    transition: ease-in-out .3s;

}

.kia-login p,
.parrot-login p {

    padding-left: 5px;

}

.light-button {
    width: 7vw;
    min-width: 130px;
    margin-left: 5px;
    display: flex;
    align-items: center;
    cursor: pointer;
}

.light-button:hover .dark-light-icon {
    transform: rotate(180deg);
    transition: linear 0.3s;

}

.dark-light-icon {
    fill: #4B006E;
    transition: linear 0.3s;
}

.light-button p {
    color: #4B006E;
    margin-right: 10px;
}

/* header css desktop end */
/* header css desktop end */


/* first section */
/* first section */
.first-section {
    padding: 80px;
    padding-right: 0;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 80px;
    align-items: center;
}

.first-section img {
    width: 100%;
    border-top-left-radius: 30px;
    border-bottom-left-radius: 30px;
}

/* first section */
/* first section */



/* second section */
/* second section */




.second-section {
    display: grid;
    padding: 80px;
    grid-template-columns: 1.2fr 0.8fr;
    gap: 80px;
    align-items: center;
}


.text-animation-section {
    background: linear-gradient(to bottom, #F6E2FF, #F6E2FF, #f6e2ff33);
    border-radius: 2000px;
    position: relative;
    height: 50vw;
    /* adjust based on your needs */
    overflow: hidden;
}

.text-block h1 {
    margin-bottom: 20px;
    text-align: center;
    width: 100%;
    color: #4B006E;
}

.text-block {
    position: absolute;
    top: 50%;
    left: 50%;
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    opacity: 0;
    pointer-events: none;
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.text-block h1 {
    opacity: 0;
    transform: translateY(20px);
}

/* Active text block */
.text-block.active {
    opacity: 1;
    pointer-events: auto;
}

/* Animate in */
@keyframes fadeInUp {
    from {
        opacity: 0;
        transform: translateY(20px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes fadeOutUp {
    from {
        opacity: 1;
        transform: translateY(0);
    }

    to {
        opacity: 0;
        transform: translateY(-20px);
    }
}


/* second section */
/* second section */

/* data speak  */
/* data speak  */
.data-speak-section {
    padding: 80px 0 80px 0;
    background: radial-gradient(50% 50% at 50% 50%, #F6E2FF 0%, rgba(255, 255, 255, 0.00) 100%);
    overflow: hidden;
}

.title-scroll-arrows {
    display: grid;
    grid-template-columns: 1fr max-content;
    gap: 20vw;
    align-items: start;
    justify-content: space-between;
    padding: 0px 80px 80px 80px;

}

.data-speak-heading {
    margin: 0;
}

.navigation-buttons button {
    background-color: rgba(255, 0, 0, 0);
    border: none;
    transition: ease-in-out .3s;
}

.navigation-buttons button div {
    background-color: #4B006E;

    transition: ease-in-out .3s;
}

.navigation-buttons button div svg {
    background-color: #4B006E;
    border: none;
    transition: ease-in-out .3s;
}

button:hover .button {
    background-color: #F6E2FF;
    border: 1px solid #F6E2FF;
}

button:hover div svg {
    background-color: #F6E2FF;
}

button:hover svg {
    fill: #4B006E !important;
}

.scroll-items {
    transition: transform 0.3s ease;
    margin-right: 0px;
}

.scroll-item {
    background-color: white;
    padding: 30px;
    width: 80% !important;
    /* margin-right: 40px;   */
    transition: transform 0.3s ease;
    border-radius: 30px;
    display: flex !important;
    flex-direction: column;
    align-items: start;
    justify-content: space-between;
}

.scroll-item img {
    height: 70px;
}

.image-name-role {
    display: flex;
    align-items: center;
    gap: 20px;
    padding-bottom: 20px;
}

.name-role h3,
.name-role h4 {
    margin: 0;
    padding-bottom: 10px;
    padding-top: 2px;
}

.slick-track {
    padding: 20px;

}

.scroll-item:hover {
    transition: ease 0.5s;
    box-shadow: #3b485d63 1px 1px 20px 0px;
}

/* data speak  */
/* data speak  */

/* current opening */
/* current opening */
.current-opening {
    padding: 80px;
}

.job-listing {
    margin-top: 80px;
    border-radius: 30px;
    padding: 200px 400px;
    text-align: center;
    background: linear-gradient(180deg, #F6E2FF 6.82%, rgba(246, 226, 255, 0.00) 99.93%);
}

/* current opening */
/* current opening */

/* accordion section */
/* accordion section */
.accordion-main-section {
    padding: 80px;
}

.tab-button-heading {
    display: flex;
    justify-content: space-between;
    gap: 100px;
    margin-bottom: 40px;
}

/* Tabs */
.tabs {
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
    gap: 25px;
    margin-bottom: 60px;
}

.tab {
    cursor: pointer;
    padding: 10px 20px;
    border-radius: 100px;
    border: none;
    background-color: white;
    box-shadow: 1px 1px 10px 1px #12032133;
}

.tab h4 {
    margin: 0;
}

.tab.active {
    color: #B462A6;
}

/* Accordions */
.accordion-container {
    width: 100%;
}

.accordion-section {
    display: none;
}

.accordion-section.active {
    display: block;
}

.accordion-item {
    border-top: 1px solid black;
    padding: 30px;
    position: relative;
}

.accordion-item:last-child {
    border-bottom: 1px solid black;
}

.accordion-header {
    font-weight: bold;
    cursor: pointer;
    display: flex;
    justify-content: space-between;
}

.accordion-header h3 {
    margin: 0;
    margin-bottom: 10px;
}

.accordion-header.active {
    color: #B462A6;
}

.accordion-content {
    display: none;
    margin-top: 10px;
}

.accordion-content.active {
    display: block;
}

/* Icons */


.active.icon svg {
    transform: rotate(180deg);
}

.in-active.icon svg {
    font-size: 16px;
    margin-left: 10px;
    transform: rotate(0deg);
}

.white-black-part {
    fill: #120321;
}

.active.icon svg .white-black-part {
    fill: #B462A6;
}

/* accordion section */
/* accordion section */

/* second-section */
/* second-section */
.form-section {
    padding: 80px;
    gap: 100px;
    display: grid;
    grid-template-columns: 1fr 1fr;
}

.color-background {
    padding: 40px;
    background-color: #F6E2FF;
    background: linear-gradient(#F6E2FF, #F6E2FF, white);
    border-radius: 35px;
}


.color-background-items h2 {
    margin: 0;
    margin-bottom: 40px;
}

.form input {
    width: 90%;
    margin-bottom: 25px;
    border-radius: 40px;
    border: 0;
    padding: 20px;
    padding-left: 30px;
    padding-right: 30px;
    font-size: 18px;
    font-family: "Funnel Display", sans-serif;
}



#file-upload {
    display: none;
}

/* Custom styled label */

.custom-file-upload {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 90%;
    margin-bottom: 25px;
    border-radius: 40px;
    background-color: white;
    /* You can change this */
    padding: 20px 30px;
    font-size: 18px;
    color: rgb(116, 115, 115);
    cursor: pointer;
}


/* second-section */
/* second-section */






/* Footer start */
/* Footer start */
/* Footer start */
.footer {
    background: linear-gradient(to bottom right, #4B006E, #F6E2FF);
    color: white;

}

.footer-about-contact p {
    margin-bottom: 20px;
}

.footer-top {
    padding: 80px;
}

.footer-about-contact-subscribe {
    display: grid;
    grid-template-columns: 1fr 1.2fr;
    align-items: baseline;
    gap: 120px;
}

.social-icon {
    display: flex;
    align-items: flex-end;
}

.social-icon img{
    margin-right: 40px;
}

.footer-subscribe h2 {
    margin-top: 0;
}

.subscribe-input {
    width: 100%;
    background-color: white;
    display: flex;
    justify-content: space-between;
    border-radius: 50px;
}

.subscribe-input input {
    font-family: "Funnel Display", sans-serif;
    width: 70%;
    background-color: white;
    padding: 20px;
    border: none;
    border-radius: 50px;
}

input:focus {
    border: none;
    outline: none;
}

.subscribe-input button {
    color: white;
    background-color: #4B006E;
    padding: 20px 40px 20px 40px;
    border: none;
    border-radius: 50px;
}

.address-quick-links-footer {
    display: grid;
    margin-top: 60px;
    grid-template-columns: 1fr 1fr 60px 1fr 1fr 1fr 1fr;
    justify-content: space-between;
    gap: 20px;
}





.address-quick-links-footer-footer {
    display: block;

    grid-template-columns: 30% 70%;
    justify-content: space-between;
    gap: 20px;
}

.contact-social p,
.contact-social div {
    margin-bottom: 20px;
}

.quick-links {
    display: grid;
    margin-top: 60px;
    grid-template-columns: 8fr 60px 1fr 1fr 1fr 1fr;
    gap: 20px;
}

.footer-address {
    margin-top: 60px;
}

.addresses-top {
    display: none;
}

.addresses {

    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 40px;
}




.address h3,
.address p {
    margin-top: 0px;
    margin-bottom: 10px;
}

.line {
    height: 60%;
    width: 2px;
    background-color: white;
    margin-left: auto;
    margin-right: auto;
}


.footer-bottom {
    background-color: #4B006E;
    padding-left: 80px;
    padding-right: 80px;
    padding-top: 30px;
    padding-bottom: 30px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.bottom-links {
    color: white !important;
    display: block;
}

.footer-copyright-terms-divider {
    margin-right: 5px;
    margin-left: 5px;
}

.footer-bottom p {
    display: flex;
    align-items: center;
}

.footer-bottom a {
    margin-left: 10px;
}

.line-break {
    display: none;

}

.copyright-terms {
    display: flex;
}

.terms-condition {
    margin: 5px 0 5px 0;
}

.grapdes-link {
    margin-left: 6px !important;
    font-family: "Questrial", sans-serif;
}


/*  */
/*  */
.bottom-sticky-contact-button {
    position: fixed;
    bottom: 10px;
    right: 10px;
    z-index: 200;

}

/* footer end */
/* footer end */



/* media query */

@media only screen and (max-width: 1400px) {
    .header-top-banner {
        height: 15px;
    }

    .header-top-banner::before {
        width: 15px;
    }

    .header-top-banner::after {
        width: 15px;
    }

    .logo::after {
        left: 15px;
    }

    .logins::after {
        right: 15px;
    }

    .kia-login,
    .parrot-login {
        margin-right: clamp(12px, 1vw, 20px);
    }

}


@media only screen and (max-width: 1400px) {

    .kia-login,
    .parrot-login,
    .light-button {
        width: auto;
        min-width: 0;
    }

    .kia-login p,
    .parrot-login p,
    .light-button p {
        display: none !important;
    }

}


@media only screen and (max-width: 1080px) {


    .top-heading {
        font-size: calc(34px + (48.0 - 34) * ((100vw - 751px) / (1080 - 751)));

    }

    h1 {
        font-size: calc(30px + (42.0 - 30) * ((100vw - 751px) / (1080 - 751)));
    }

    .main-paragraph {
        font-size: calc(16px + (20.0 - 16) * ((100vw - 751px) / (1080 - 751)));
        line-height: 1.5;
        margin: 0;
    }

    .secondary-paragraph-top {
        font-size: calc(12px + (14.0 - 12) * ((100vw - 751px) / (1080 - 751)));
    }


    h2 {

        font-size: calc(22px + (32.0 - 22) * ((100vw - 751px) / (1080 - 751)));
        font-weight: 700;
    }

    h3 {

        font-size: calc(20px + (24.0 - 20) * ((100vw - 751px) / (1080 - 751)));
        font-weight: 700;
    }

    .header-element p,
    .secondary-paragraph a,
    a p,
    button p,
    .footer-bottom p {
        font-size: calc(14px + (18.0 - 14) * ((100vw - 751px) / (1080 - 751)));
    }

    /* header */
    /* header */

    .hamburger-cross-parent,
    .card-close-button1 {
        width: fit-content;
    }

    .hamburger-cross-parent,
    .card-close-button2 {
        width: fit-content;
    }

    .hamburger-cross-parent {
        display: flex;
    }

    .hamburger-cross-button {
        background-color: #4B006E;
        border-radius: 30px;
        width: fit-content;

        padding: 3px;
        display: flex;

        align-items: center;
        justify-content: space-between;
        color: white;
        border: 1px solid #4B006E;
        box-shadow: 0 2px 5px rgba(128, 128, 128, 0.2),
            /* Bottom shadow */
            0 -2px 5px rgba(128, 128, 128, 0.2),
            /* Top shadow */
            2px 0 5px rgba(128, 128, 128, 0.2),
            /* Right shadow */
            -2px 0 5px rgba(128, 128, 128, 0.2);

    }

    .menu-items {
        width: 100%;
        display: none;
    }

    .mega-menu {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 0px 30px;
    }

    .mega-item {
        width: auto;
        min-height: 23vw;
        min-width: 100px;
    }


    .hovered .hamburger-cross-parent {
        opacity: 1;
        z-index: 5;
    }

    .control-clicked {
        color: #120321;
    }

    .hamburger-parent {
        display: flex;
    }

    .menu-items.active {
        display: flex;
        /* Show menu items when active */
    }

    .mega-item .button {
        padding: 3px;
        padding-left: 2px;
        padding-right: 2px;
    }

    .header-demo-button.hidden {
        display: none;
    }

    .hamburger-parent.hidden {
        display: none;
        /* Hide hamburger button when menu is active */
    }

    .mega-item .white-purple-arrow {
        width: 16px;
    }

    .logo {
        padding: 0;
        padding-right: 10px;
        padding-bottom: 5px;

        border-end-end-radius: 25px
    }

    .logins {
        border-bottom-left-radius: 25px;
        padding-left: 10px;
        padding-bottom: 5px;
    }

    .logo svg {
        width: 17vw;
        min-width: 160px;
        max-width: 200px;
    }

    .logo a {
        display: flex;
    }

    .logo::after {
        left: 10px;
    }

    .logins::after {
        right: 12px;
    }

    .links-div {
        padding: 8px;
        padding-bottom: 0;
    }

    .kia-login,
    .parrot-login {
        margin-right: clamp(5px, 1vw, 10px);
    }

    .menu-items {
        min-width: 400px;
        padding-top: 5px;
        padding-bottom: 5px;
        padding-left: 10px;
        padding-right: 5px;
        justify-content: space-between;
    }

    .hamburger-button {
        padding: 10px;

    }

    .kia-login img,
    .parrot-login img {
        width: 20px;
    }

    .header-top-banner::before {
        width: 10px;
    }

    .header-top-banner::after {
        width: 12px;
    }

    .hamburger-cross-button img {
        width: 18px;
    }

    .demo-button img {
        width: 14px;
        padding: 5px;
        padding-top: 7px;
        padding-bottom: 7px;
    }

    .demo-button {

        padding: 4px;

    }

    .demo-button p {
        padding-left: 7px;
        padding-right: 7px;
    }

    .hamburger-button img {
        width: 16px;
    }

    .button img,
    button .white-purple-arrow {
        width: 16px;
        padding: 8px;
        padding-left: 6px;
        padding-right: 6px;
        border-radius: 50%;
        background-color: #ffffff3d;
    }

    .white-purple-arrow {
        padding: 5px !important;
        padding-left: 6px !important;
        padding-right: 6px !important;
    }

    .button {
        padding: 4px;
    }

    .button p {
        padding-left: 7px;
        padding-right: 7px;
    }

    /* header */
    /* header */

    /* first section */
    /* first section */
    .first-section {
        padding: 40px 0 40px 40px;
        gap: 60px;
    }

    .first-section img {
        height: 100%;
        object-fit: cover;
        object-position: left;
    }

    .second-section {
        padding: 40px;

        gap: 60px;
    }

    .data-speak-section {
        padding: 40px 0px;
    }

    .title-scroll-arrows {
        padding: 0px 40px 40px 40px;
    }

    .current-opening,
    .accordion-main-section,
    .form-section {
        padding: 40px;
    }

    .job-listing {
        margin-top: 60px;
        padding: 200px 0px;
    }

    .tab-button-heading h1 {
        margin-bottom: 0px;
    }

    .tabs {
        margin-bottom: 40px;
    }

    .scroll-item {
        width: 75% !important;
    }

    .form-section {
        grid-template-columns: 1fr;
        gap: 40px;
    }

    /* first section */
    /* first section */



    /* footer */
    /* footer */
    .footer-top {
        padding: 40px;
    }

    .footer-about-contact-subscribe {
        gap: 60px;
    }

    .addresses-top {
        display: block;
    }

    .addresses,
    .line {
        display: none;
    }

    .footer-address {
        display: grid;
        grid-template-columns: auto max-content;
        gap: 60px;
        margin-top: 30px;

    }

    .addresses-top {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        gap: 40px;
    }

    .quick-links {
        grid-template-columns: repeat(4, 1fr);
        margin-top: 0;
        gap: 10px;
    }

    .footer-vertical-line {
        width: 100%;
        height: 2px;
        background-color: white;
        margin-top: 40px;
        margin-bottom: 40px;
    }

    .subscribe-input input {
        padding: 15px;
    }


    .subscribe-input button {
        padding: 15px 30px 15px 30px;
    }

    .footer-bottom {
        padding: 20px 40px 20px 40px;
    }

    .bottom-sticky-contact-button {

        bottom: 40px;
    }

    .footer-top,
    .address-quick-links-footer-footer {
        display: block;
        flex-direction: column;
        gap: 0;
    }

    /* footer */
    /* footer */

}

/* mobile design code */
@media only screen and (max-width: 750px) {

    h1 {
        font-size: calc(26px + (36.0 - 26) * ((100vw - 340px) / (750 - 340)));
    }

    .top-heading {
        font-size: calc(32px + (46.0 - 32) * ((100vw - 340px) / (750 - 340)));

        margin-top: 0;
        width: 100%;
    }


    h2 {

        font-size: calc(20px + (28.0 - 20) * ((100vw - 340px) / (750 - 340)));
        font-weight: 700;
    }

    h3 {

        font-size: calc(18px + (24.0 - 18) * ((100vw - 340px) / (750 - 340)));
        font-weight: 700;
    }

    .main-paragraph {
        font-size: calc(16px + (18.0 - 16) * ((100vw - 340px) / (750 - 340)));
        line-height: 1.5;
        margin: 0;
    }


    .header-element p,
    .secondary-paragraph a,
    a p,
    button p,
    .footer-bottom p {
        font-size: calc(14px + (16.0 - 14) * ((100vw - 340px) / (750 - 340)));
    }

    /* header part */
    /* header part */

    .logo svg {
        width: 12vw;
        min-width: 110px;
    }


    .links {
        flex-direction: row-reverse;
        align-items: center;

    }

    .kia-login,
    .parrot-login {
        display: none;
    }

    .menu-items.active {
        display: block;
        position: fixed;
        top: 0;
        left: 0;
        width: 100vw;
        height: 100vh;
        padding-top: 65px;
        padding-left: 40px;
        border-radius: 0;
        z-index: 1;
        min-width: auto;
        max-width: none;
    }

    .logins.active .kia-login {
        display: flex;
        position: absolute;
        left: 40px;
        top: 315px;
        z-index: 1;
    }

    .logins.active .kia-login p {
        display: flex !important;
        font-size: calc(16px + (18.0 - 16) * ((100vw - 340px) / (750 - 340)));
    }

    .logins.active .parrot-login {
        display: flex;
        position: absolute;
        left: 40px;
        top: 370px;
        z-index: 1;
    }

    .logins.active .parrot-login p {
        display: block !important;
        font-size: calc(16px + (18.0 - 16) * ((100vw - 340px) / (750 - 340)));
    }

    .menu-items a,
    .menu-items p {
        display: block;
        margin-top: 15px;
    }

    .menu-item {
        font-size: 24px !important;
    }

    .mega-menu-card p,
    .mega-item a {
        margin-top: 0;
    }

    .menu-items.active .hamburger-cross-parent {
        position: fixed;
        z-index: 5;
        top: 30px;
        left: 82vw;
    }

    .mega-item {
    margin-top: 20px;
    padding-top: 20px;
    min-width: 220px;
    width: 25vw;
    height: auto;
    min-height: 150px;
  }

    .hovered .hamburger-cross-parent {
        opacity: 1;
    }

    .hamburger-parent.hidden,
    .header-demo-button.hidden {
        display: flex;
    }

    .hamburger-button {

        padding: 9px;

    }

    .hamburger-button img {
        width: 13px;
    }

    .menu-items .hamburger-cross-button {
        padding: 5px;
    }

    .menu-items .hamburger-cross-button img {
        width: 25px;
    }

    .logins {
        padding-right: 10px;
        border-bottom-left-radius: 17px;
    }

    .logo::after {
        border-top-left-radius: 20px;
    }

    .logins::after {
        width: 28px;
        bottom: -37px;
        border-top-right-radius: 20px;
        box-shadow: 25px -10px 0 0 #F6E2FF;
    }

    .mega-menus {
    width: 100%;
  }

  .mega-menu {
    display: flex;
    flex-direction: column;
    width: 100%;
    border-radius: 0;
    background-color: white;
  }

  .mega-menu.clicked {
    height: 100vh;
    padding: 30px;
    padding-top: 20px;
    display: flex;
    /* align-items: center; */
  }


    /* header part */
    /* header part */


    /* all section */
    /* all section */
    .all-text-part {
        padding-right: 40px;
    }

    .first-section,
    .second-section {
        grid-template-columns: 1fr;
        flex-direction: column;
        gap: 40px;
    }

    .second-section .color-text {
        grid-row: 1;
        margin-bottom: 10px;
    }

    .job-listing {
        padding: 120px 0px;
    }

    .text-animation-section {
        height: 90vw;
    }

    .title-scroll-arrows,
    .tab-button-heading {
        grid-template-columns: 1fr;
        flex-direction: column;
        gap: 25px;
    }

    .tabs {
        margin-bottom: 20px;
    }

    /* form section */
    /* form section */


    .form input,
    .custom-file-upload {
        padding-top: 15px;
        width: 75%;
        padding-bottom: 15px;
    }

    /* form section */
    /* form section */

    /* all section */
    /* all section */





    /*mobile footer */
    /*mobile footer */

    .footer-about-contact-subscribe,
    .footer-address,
    .addresses-top {
        display: block;
    }

    .quick-links {
        grid-template-columns: repeat(2, 1fr);
        gap: 20px;
    }

    .footer-top {
        padding-top: 60px;
    }

    .footer-bottom {
        display: block;
        padding: 40px;
        padding-top: 30px;
    }

    .footer-copyright-terms-divider {
        display: none;
    }

    .copyright-terms {
        display: block;
    }

    .line-break {
        display: block;
    }

    .terms-condition {
        margin: 15px 0 15px 0;
    }

    .footer-top,
    .address-quick-links-footer-footer {
        display: flex;
        flex-direction: column-reverse;
        gap: 0;
    }

    .footer-about-contact p {
        margin-bottom: 40px;
    }

    .contact-social,
    .contact-social {
        margin-top: 40px;
    }

    .contact-social div {
        margin-bottom: 0;
    }

    .bottom-sticky-contact-button {
        bottom: 10px;
    }


    /*mobile footer */
    /*mobile footer */
}

/* dark mode code */
/* dark mode code */


.card-dark-asset,
.menu-item-services {
    display: none;
}

.dark-mode.body-tag {
    background-color: #120321;
    color: white;
}

.dark-mode .color-text {
    color: white;
}

.dark-mode .logo-white-dark-part {
    fill: white;
}

.dark-mode .logo-purple-part {
    fill: #F1D1FF;
}

.dark-mode .header-top-banner,
.dark-mode .logo,
.dark-mode .logins,
.dark-mode .header-top-banner-after {
    background-color: #4B006E;
}

.dark-mode .header-top-banner::before,
.dark-mode .header-top-banner::after {
    background: linear-gradient(180deg, #4B006E 24.67%, #120321 88.1%);
}

.dark-mode .links-div {
    box-shadow: -15px -25px 0 0 #4B006E, 15px -25px 0 0 #4B006E;
}

.dark-mode .logo::after {
    box-shadow: -10px -15px 0 0 #4B006E;
}

.dark-mode .logins::after {
    box-shadow: 10px -7px 0 0 #4B006E;
}





.dark-mode .demo-button {
    background-color: #F6E2FF;
    color: #4B006E;
    border: 1px solid #F6E2FF;
}

.dark-mode .demo-button img {
    background-color: #4B006E;
}

.dark-mode .demo-button:hover {
    background-color: #4B006E;
    color: #F6E2FF;
    border: 1px solid #4B006E;
}

.dark-mode .demo-button:hover img {
    background-color: #ffffff3d;
}

.dark-mode .menu-items {
    background-color: #120321d0;
    backdrop-filter: blur(10px);
    box-shadow: 0 2px 5px #f6e2ff2a,
        /* Bottom shadow */
        0 -2px 5px #f6e2ff2a,
        /* Top shadow */
        2px 0 5px #f6e2ff2a,
        /* Right shadow */
        -2px 0 5px #f6e2ff2a;
}

.dark-mode .menu-items .menu-item {
    color: white;
}

.dark-mode .hovered.menu-items {
    background: none;
    box-shadow: none;
    backdrop-filter: none;
}

.dark-mode .menu-item-parrot {
    background-color: #120321;
    color: white;
}

.dark-mode .mega-item:hover {
  background: linear-gradient(180deg, #4B006E 23.59%, #120321 104.87%);
}

.dark-mode .menu-item-parrot:hover {
  background: linear-gradient(180deg, #967B34 0%, #120321 100%);
  color: white;
}

.dark-mode .menu-item-kea {
    background-color: #120321;
    color: white;
}

.dark-mode .menu-item-kea:hover {
    background: linear-gradient(180deg, #4E6C9C 0%, #120321 115.21%);
    color: white;
}


.dark-mode .menu-item:hover {
    color: #F1D1FF;
}

.dark-mode .mega-menu {
    background-color: #120321e3;
}


.dark-mode .mega-item:hover .white-purple-arrow {
    fill: #f6e2ff;
    background-color: #4B006E;
}

.dark-mode .button {
    background-color: #F1D1FF;
    border: 1px solid #F1D1FF;
}

.dark-mode .white-purple-arrow {
    fill: #4B006E;
}

.dark-mode .button:hover .white-purple-arrow {
    fill: white;
}

.dark-mode .mega-item:hover .button {
    background-color: #4B006E;
    border: 1px solid #4B006E;
}

.dark-mode .kia-login {
    background: linear-gradient(180deg, #4E6C9C 0%, #120321 115.21%);
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.20);
    color: white;
}

.dark-mode .kia-login:hover {
    background: linear-gradient(180deg, black 0%, #120321 115.21%);
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.20);
    color: white;
}

.dark-mode .parrot-login {
    background: linear-gradient(180deg, #967B34 0%, #120321 100%);
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.25);
    color: white;
}

.dark-mode .parrot-login:hover {
    background: linear-gradient(180deg, black 0%, #120321 115.21%);
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.20);
    color: white;
}

.dark-mode-text {
    display: none;
}


.dark-mode .dark-light-icon {
    fill: #F1D1FF;
    transform: rotate(180deg);
    transition: linear 0.3s;
}

.dark-mode .dark-mode-text {
    display: block;
    color: #F1D1FF;
}

.dark-mode .light-button:hover .dark-light-icon {
    transform: rotate(0deg);
    transition: linear 0.3s;
}

.dark-mode .light-mode-text {
    display: none;
}

.card-dark-asset {
    display: none;
}

.dark-mode .card-light-asset {
    display: none;
}

.dark-mode .card-dark-asset {
    display: block;
}

.dark-mode .button p {
    color: #4B006E;
}

.dark-mode .button img {
    background-color: #4B006E;
}

.dark-mode .button:hover {
    background-color: #4B006E;
    border: 1px solid #4B006E;
}

.dark-mode .button:hover p {
    color: white;
}

.dark-mode .button:hover img {
    background-color: #ffffff3d;
}

.dark-mode .mega-item .button-white-background {
    background-color: #12032100;
    box-shadow: none;
}

.dark-mode .button-white-background {
    background-color: #120321;
    box-shadow: none;
}


/* dark mode body */
/* dark mode body */

.dark-mode .color-background {
    background: linear-gradient(#4B006E, #4B006E, #120321);
}

.dark-mode .data-speak-section {
    background: radial-gradient(50.27% 50.27% at 50% 49.73%, #4B006E 0%, #120321 100%);
}

.dark-mode .scroll-item {
    background-color: #120321;
}

.dark-mode .button:hover .white-purple-arrow {
    background-color: #4B006E;
}

.dark-mode .button:hover .white-purple-arrow {
    fill: #F1D1FF !important;
}

.dark-mode .navigation-buttons button div svg {
    background-color: #F1D1FF;
}

.dark-mode .job-listing {
    background: linear-gradient(180deg, #4B006E 6.82%, rgba(246, 226, 255, 0.00) 99.93%);
}

.dark-mode .text-animation-section {
    background: linear-gradient(180deg, #4B006E 6.82%, rgba(246, 226, 255, 0.00) 99.93%);
}

.dark-mode .tab {
    background: #120321;
    color: white;
    box-shadow: 1px 1px 10px 1px #dceaff65;
}

.dark-mode .tab.active {
    color: #B462A6;
}

.dark-mode .accordion-item {
    border-top: 1px solid white;
}

.dark-mode .accordion-item:last-child {
    border-bottom: 1px solid white;
}

.dark-mode .white-black-part {
    fill: white;
}

/* dark mode body */
/* dark mode body */

/* dark mode tablet code */
/* dark mode tablet code */
@media only screen and (max-width: 1080px) {}

/* dark mode tablet code */
/* dark mode tablet code */


/* dark mode mobile code */
/* dark mode mobile code */
@media only screen and (max-width: 750px) {

    .dark-mode.body-tag {
        background: radial-gradient(70% 10% at 50% 12%, #F6E2FF 0px, 1px, #120321 100%);
    }

}

/* dark mode mobile code */
/* dark mode mobile code */

/* dark mode code */
/* dark mode code */


/* temporary code */
/* temporary code */
.quick-links {
  grid-template-columns: max-content 1fr 1fr 1fr 1fr 1fr;
}

.addresses {
  display: flex;
  gap: 20px;
  flex-direction: column;
}

.address .main-paragraph {
  display: none;
}

.menu-item-services {
    display: none !important;
}

.logins::after {
    box-shadow: 10px -7px 0 0 #F6E2FF;
}

.address:nth-child(6) .bottom-links:nth-child(3) {
  display: none;
}

.address:nth-child(6) .bottom-links:nth-child(4) {
  display: none;
}

.address:nth-child(6) .bottom-links:nth-child(5) {
  display: none;
}

.address:nth-child(6) .bottom-links:nth-child(6) {
  display: none;
}


@media only screen and (max-width: 1080px) {
    .quick-links-parent .quick-links {
        grid-template-columns: 1fr 1fr 1fr 1fr!important;
    }
    .addresses-top {
    grid-template-columns: 1fr;
    gap: 20px;
  }

  .footer-address {
    grid-template-columns: 1fr 1fr;
  }

  .addresses {
    display: none;
  }
}

@media only screen and (max-width: 750px) {
    .logins {
        padding: 6px;
    }

    .quick-links-parent .quick-links {
        grid-template-columns: repeat(2, 1fr) !important;
    }
    .addresses-top {
    gap: 10px;
  }

}

/* temporary code */
/* temporary code */